$(function() {
//	单选框
    $('.tpl-switch-btn-view').click(function(){
		console.log("单选框")
        $(this).prev().click();
        var media_id = $(this).prev().val()
        $('#view_id').val(media_id)
        $('#send_id').val(media_id)
        var wx_mater_id = $(this).prev().val()
        var inputs = $('#menu').find('.current').find('.wx_form_hide').eq(0).find('input');
		// inputs.eq(5).attr('value', wx_mater_id);
		inputs.eq(1).attr('value', 'click');
		inputs.eq(6).attr('value', 'WX_MATERIAL_' + media_id);
    })
//    本地素材选择
    $('#local').change(function(){
        var inputs = $('#menu').find('.current').find('.wx_form_hide').eq(0).find('input');
		inputs.eq(1).attr('value', 'click');
		inputs.eq(6).attr('value', 'LOCAL_MATERIAL_' + $(this).val());
    })

	//底部调整
	var isChrome = navigator.userAgent.toLowerCase().match(/chrome/) != null;
	if (!isChrome) {
		$(".tpl-page-container .tpl-content-wrapper").addClass("R-wra");
		$(".tpl-page-container .tpl-left-nav").addClass("L-tpl");
	}
	var all_data = 1;
	//  素材下拉值改变
	$('#material').change(function() {
		if ($(this).val() == 'local_material') {
			$('#local_material').show().next().hide();
		} else {
			$('#local_material').hide().next().show();
		}
	})
	//  获取值赋值到右边函数
	function menu_set() {
		$('#js_none').hide();
		$('#menu-set').show();
		//  获取当前被选中的li
		var select_li = $('#menu').find('.current')
		var inputs = select_li.find('.wx_form_hide').eq(0).find('input')
		//  赋值
		$('#menu_name').val("").val(inputs.eq(0).val());
		$('#page').val("").val(inputs.eq(3).val());
		$('#appid').val("").val(inputs.eq(2).val());
		$('#pagepath').val("").val(inputs.eq(4).val());
		$('#pagepath2').val("").val(inputs.eq(3).val());
		$('#key').val("").val(inputs.eq(6).val());
		//  类型
		if (all_data == 1) {
			var flag = 0
			if (inputs.eq(1).val() == 'media_id' || inputs.eq(6).val().indexOf("LOCAL_MATERIAL_") == 0 || inputs.eq(6).val().indexOf("WX_MATERIAL_") == 0){
				$('#type_set').find('input').eq(0).prop('checked', true);
				$('.wx_type').hide();
				$('#type1').show();
				if(inputs.eq(1).val() == 'media_id'){
				    $("#material").find('option').eq(1).attr('selected', 'selected')
				    var wx_mater_list = $('.tpl-switch-btn')
				    for(var i=0; i<wx_mater_list.length; i++){
				        if(wx_mater_list.eq(i).val() == inputs.eq(5).val()){
                            wx_mater_list.eq(i).click()
				        }
				    }
				}else if (inputs.eq(6).val().indexOf("WX_MATERIAL_") == 0){
					console.log("微信素材")
					console.log($("#type1 .am-selected-list li").eq(1).val())
					$("#type1 .am-selected-list li").eq(1).click()
					let wx_id =inputs.eq(6).val()
					let str = wx_id.split("WX_MATERIAL_")[1]
					$('#js_msgSender .tab_navs ').each(function () {
						if($(this).find('input[type=radio]').val()==str){
							console.log(str)
							$(this).find('input[type=radio]').attr('checked',true)
						}
					})
				}else{
				    $("#material").find('option').eq(0).attr('selected', 'selected')
				    var mater_list = $('#local').find('option')

				    for(var i=0; i<mater_list.length; i++){
				        if('LOCAL_MATERIAL_' + mater_list.eq(i).val() == inputs.eq(6).val()){
                            mater_list.eq(i).attr('selected', 'selected')
				        }
				    }
				}
				$('#local').trigger('changed.selected.amui');
				$("#material").trigger('changed.selected.amui');
				flag = 1
			}
			if (inputs.eq(1).val() == 'view') {
				$('#type_set').find('input').eq(1).prop('checked', true);
				$('.wx_type').hide();
				$('#type2').show();
				flag = 1
			}
			if (inputs.eq(1).val() == 'miniprogram') {
				$('#type_set').find('input').eq(2).prop('checked', true);
				$('.wx_type').hide();
				$('#type3').show();
				flag = 1
			}
			if (flag == 0) {
				$('#type_set').find('input').eq(3).prop('checked', true);
				var ops = $('#event').find('option')
				for (var i = 0; i < ops.length; i++) {
					if (ops.eq(i).attr('value') == inputs.eq(1).val()) {
						ops.eq(i).attr('selected', 'selected')
					} else {
						ops.eq(i).removeAttr("selected");
					}
				}
				$("#event").trigger('changed.selected.amui');
				$('.wx_type').hide();
				$('#type4').show();
			}
		}
	}
	// 菜单ul下的li点击事件
	$('#menu').on('click', 'li', function() {
		$('#menu_name_div').show().siblings().show();
		all_data = 1;
		//	点击父菜单
		if ($(this).hasClass('jslevel1')) {
			//  选中
			$('#menu').find('li').removeClass('current')
			$(this).addClass('current')
			//	显示子菜单
			$('#menu').find('.js_l2TitleBox').hide()
			$(this).find('.js_l2TitleBox').show()
			//	判断是否有子菜单
			if ($(this).find('.jslevel2').length > 0) {
				$('#menu_name_div').show().siblings().hide();
				all_data = 0;
			} else {
				$('#menu_name_div').show().siblings().show();
			}
		}
		//	点击子菜单
		if ($(this).hasClass('jslevel2')) {
			//  选中
			$('#menu').find('li').removeClass('current');
			$(this).addClass('current');
			//  数据在右边显示
		}
		//	点击父菜单加号
		if ($(this).hasClass('father-plus')) {
			var count = $('#menu').find('.jslevel1').length; // 父菜单总个数
			var size = 1; // size样式
			if (count < 2) {
				size = count + 2
			} else {
				size = count + 1
			}
			// 整理父菜单宽度
			for (var i = 0; i < $('.jslevel1').length; i++) {
				$('.jslevel1').eq(i).removeClass('size1of' + (size - 1)).addClass('size1of' + size)
			}
			$(this).removeClass('size1of' + (size - 1)).addClass('size1of' + size)
			//  父菜单插入
			var father_li = '<li class="jsMenu pre_menu_item border_r jslevel1 selected current size1of' + size + '">' + '<input type="hidden" class="menu_index" value="' + count + '"/>' + '<a href="javascript:void(0);" class="pre_menu_link pre_menu_link_txt">' + '<span class="js_l1Title menu_name menu_name_parent ty-title">菜单名称</span>' + '<div class="wx_form_hide">' + '<input class="input_name" type="text" name="menu_name[]" value="菜单名称">' + '<input class="input_type" type="text" name="menu_type[]" value="view">' + '<input class="input_appid" type="text" name="menu_appid[]" value="">' + '<input class="input_url" type="text" name="menu_url[]" value="">' + '<input class="input_pagepath" type="text" name="menu_pagepath[]" value="">' + '<input class="input_media_id" type="text" name="menu_media_id[]" value="">' + '<input class="input_key" type="text" name="menu_key[]" value="">' + '</div>' + '</a>' + '<div class="sub_pre_menu_box js_l2TitleBox" style="display: block;">' + '<ul class="sub_pre_menu_list">' + '<li class="js_addMenuBox son-plus" data-menu="2" data-key="0">' + '<a href="javascript:void(0);" class="jsSubView js_addL2Btn pre_menu_link" title="最多添加5个子菜单">' + '<span class="am-icon-plus"></span>' + '</a>' + '</li>' + '</ul>' + '<i class="arrow arrow_out"></i>' + '<i class="arrow arrow_in"></i>' + '</div>' + '</li>'
			$('#menu').find('li').removeClass('current')
			$('#menu').find('.js_l2TitleBox').hide()
			$('.father-plus').before(father_li);
		}
		//	点击子菜单加号
		if ($(this).hasClass('son-plus')) {
			// 判断子菜单是否超过5个
			if ($(this).parent().find('.jslevel2').length > 4) {
				alert('子菜单不能超过5个')
			} else {
				var menu_index = $(this).parents('li').find('.menu_index').attr('value')
				var son_li = '<li class="pre_menu_txt pre_menu_link_txt border_b current jslevel2">' + '<a href="javascript:void(0);" class="pre_menu_link pre_menu_link_txt jsSubView">' + '<span class="js_sub_pre_menu_inner">' + '<span class="js_l2Title sub_menu_name menu_name_children ty-title">子菜单名称</span>' + '</span>' + '</a>' + '<div class="wx_form_hide">' + '<input class="subinput input_sub_name" type="text" name="button_name[' + menu_index + '][]" value="子菜单名称">' + '<input class="subinput input_sub_type" type="text" name="button_type[' + menu_index + '][]" value="view">' + '<input class="subinput input_sub_appid" type="text" name="button_appid[' + menu_index + '][]" value="">' + '<input class="subinput input_sub_url" type="text" name="button_url[' + menu_index + '][]" value="">' + '<input class="subinput input_sub_pagepath" type="text" name="button_pagepath[' + menu_index + '][]" value="">' + '<input class="subinput input_sub_media_id" type="text" name="button_media_id[' + menu_index + '][]" value="">' + '<input class="subinput input_sub_key" type="text" name="button_key[' + menu_index + '][]" value="">' + '</div>' + '</li>'
				$('#menu').find('li').removeClass('current');
				$(this).before(son_li);
			}
		}
		//  获取数据，并显示
		menu_set();
		//	阻止事件冒泡
		return false
	})
	//  右侧输入框值改变事件
	$('#menu_name').change(function() {
		var inputs = $('#menu').find('.current').find('.wx_form_hide').eq(0).find('input');
		inputs.eq(0).attr('value', $(this).val());
		$('#menu').find('.current').find('.ty-title').eq(0).html($(this).val());
	}); //  名称
	$('#page').change(function() {
		var inputs = $('#menu').find('.current').find('.wx_form_hide').eq(0).find('input');
		inputs.eq(3).attr('value', $(this).val());
	}); //  链接
	$('#appid').change(function() {
		var inputs = $('#menu').find('.current').find('.wx_form_hide').eq(0).find('input');
		inputs.eq(2).attr('value', $(this).val());
	}); //  appid
	$('#pagepath').change(function() {
		var inputs = $('#menu').find('.current').find('.wx_form_hide').eq(0).find('input');
		inputs.eq(4).attr('value', $(this).val());
	}); //  pagepath
	$('#pagepath2').change(function() {
		var inputs = $('#menu').find('.current').find('.wx_form_hide').eq(0).find('input');
		inputs.eq(3).attr('value', $(this).val());
	}); //  pagepath2
	$('#key').change(function() {
		var inputs = $('#menu').find('.current').find('.wx_form_hide').eq(0).find('input');
		inputs.eq(6).attr('value', $(this).val());
	}); //  pagepath2
	//  类型切换
	$('.frm_radio_int').click(function() {
		var value = $(this).val();
		$('.wx_type').hide();
		$('#type' + value).show();
		var inputs = $('#menu').find('.current').find('.wx_form_hide').eq(0).find('input');
		if (value == '1') {
		    if(inputs.eq(6).val().indexOf('LOCAL_MATERIAL_') == 0){
		        inputs.eq(1).attr('value', 'click')
		    }else{
		        inputs.eq(1).attr('value', 'media_id')
		    }
		}
		if (value == '2') {
			inputs.eq(1).attr('value', 'view')
		}
		if (value == '3') {
			inputs.eq(1).attr('value', 'miniprogram')
		}
		if (value == '4') {
			inputs.eq(1).attr('value', $('#event').val())
		}
	})
	//  其他事件的自定义开发点击
	$('#event').change(function() {
		var inputs = $('#menu').find('.current').find('.wx_form_hide').eq(0).find('input');
		inputs.eq(1).attr('value', $(this).val())
		if ($(this).val() == 'click') {
			$('#event_key').show();
		} else {
			$('#event_key').hide();
		}
	})
	//  删除按钮
	$('#jsDelBt').click(function() {
		var cur_li = $('#menu').find('.current')
		if (cur_li.hasClass('jslevel1')) {
			var button = confirm('删除主菜单会同时删除该菜单下的子菜单，确定删除吗？');
			if (button) {
				cur_li.remove()
				$('#js_none').show();
				$('#menu-set').hide();
			}
		} else {
			cur_li.remove()
			$('#js_none').show();
			$('#menu-set').hide();
		}
	})
	//	提交按钮
	$('#submit').click(function() {
		var lv1 = $('.jslevel1')
		for (var i = 0; i < lv1.length; i++) {
			if (lv1.eq(i).find('.jslevel2').length > 0) {
				lv1.eq(i).find('.input_type').val('');
			}
		}
		$('#menu_form').submit();
		// alert(1)
	})
})